#### D.14.1.5 arrPrintMatrix

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arPrintMatrix(arr A)

Return:
  [] prints arr in matrix form

Note:
  differs print(matrix(arr A)) since variables included

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A = mat2arr(random(20,5,4));
    A;
    ==> _[1]=10x+y-2z-12
    ==> _[2]=2x-16z-14
    ==> _[3]=11y+16z-5
    ==> _[4]=-16x-18y-5z+11
    ==> _[5]=3x+8y+6
    ==>
    arrPrintMatrix(A);
    ==> 10x, y,   -2z, -12,
    ==> 2x,  0,   -16z,-14,
    ==> 0,   11y, 16z, -5,
    ==> -16x,-18y,-5z, 11,
    ==> 3x,  8y,  0,   6

User manual for Singular version 4.4.1, 2025, generated by texi2html.